Bug 1671962 - Assignment outside of section. Ignoring
Summary: Assignment outside of section. Ignoring
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-02 12:48 UTC by customercare
Modified: 2019-02-20 02:37 UTC (History)
10 users (show)

Fixed In Version: mariadb-10.2.21-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-20 02:37:12 UTC


Attachments (Terms of Use)

Description customercare 2019-02-02 12:48:49 UTC
Description of problem:

I assume, who ever wants to use toku needs this fixed asap, so severity = high.


Feb  2 13:37:25 s36 systemd[1]: /usr/lib/systemd/system/mariadb.service.d/tokudb.conf:1: Assignment outside of section. Ignoring.

Content #### /usr/lib/systemd/system/mariadb.service.d/tokudb.conf :

Environment="LD_PRELOAD=/usr/lib64/libjemalloc.so.2"

someone is missing his [service] header...


Version-Release number of selected component (if applicable):

# rpm -qf /usr/lib/systemd/system/mariadb.service.d/tokudb.conf

mariadb-server-10.2.21-2.fc28.x86_64
mariadb-tokudb-engine-10.2.21-2.fc28.x86_64


Question-Section:

A) HOW can two installed packages be the source of one file?

RPM/dnf do prevent this by default, afaik.

B) Does mariadb run without toku .. in other words: can i just remove it without consequences ? ( myisam and innodb fans here )

C) as the database has run without an error for a week, libjemalloc.so.2 seems not to be needed on init of the database itself.  If toku is not initalized later( i.e. when needed), ask yourself : is that line necessary at all ?

Comment 1 Michal Schorm 2019-02-11 09:01:58 UTC
Jut to not leave this without a response:

I started the work on it a while back - based on: https://bugzilla.redhat.com/show_bug.cgi?id=1668375
In F29+ there should be fixes available in either stable or testing repo.

As a part of more changes, I weakend the dependency on TokuDB SE, so it won't be pulled in by default.

Here is a commit that fixes the issue:
https://src.fedoraproject.org/rpms/mariadb/c/fba85c10dd3ffc0f2ababc568440fa7eb345d1b0?branch=master
see line 1078 for the fix

Comment 2 customercare 2019-02-11 09:15:30 UTC
As F28 is still maintained,  it should get this patch too.

Comment 3 Fedora Update System 2019-02-11 17:26:20 UTC
mariadb-10.2.21-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dde8b87a5

Comment 4 Fedora Update System 2019-02-12 02:06:42 UTC
mariadb-10.2.21-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2dde8b87a5

Comment 5 Fedora Update System 2019-02-20 02:37:12 UTC
mariadb-10.2.21-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.